Classes | UGens>Generators>Deterministic | UGens>Generators>Chaotic

# SinOscFB : PureUGen : UGen : AbstractFunction : Object

Feedback FM oscillator
Source: Osc.sc
See also: SinOsc, FSinOsc, PMOsc

## Description

SinOscFB is a sine oscillator that has phase modulation feedback; its output plugs back into the phase input. Basically this allows a modulation between a sine wave and a sawtooth like wave. Overmodulation causes chaotic oscillation. It may be useful if you want to simulate feedback FM synths.

## Class Methods

### SinOscFB.ar(freq: 440.0, feedback: 0.0, mul: 1.0, add: 0.0)

### SinOscFB.kr(freq: 440.0, feedback: 0.0, mul: 1.0, add: 0.0)

#### Arguments:

freq | The base frequency of the sine oscillator in Hertz.
feedback | The second argument is the amplitude of phase feedback in radians.
mul | Output will be multiplied by this value.
add | This value will be added to the output after any multiplication.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

{SinOscFB.ar(440,MouseX.kr(0,4))*0.1}.play {SinOscFB.ar(MouseY.kr(10,1000,'exponential'),MouseX.kr(0.5pi,pi))*0.1}.play {SinOscFB.ar(100*SinOscFB.ar(MouseY.kr(1,1000,'exponential'))+200,MouseX.kr(0.5pi,pi))*0.1}.play // Scope the wave form { SinOscFB.ar([400,301], MouseX.kr(0,4),0.3); }.scope;

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/SinOscFB.schelp
link::Classes/SinOscFB::